%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%define rbname mysql
%define version 2.8.1
%define release 4

Summary: This is the MySQL API module for Ruby
Name: %{?scl_prefix}rubygem-%{rbname}

Version: %{version}
Release: %{release}%{?dist}
Group: Development/Ruby
License: Distributable
URL: http://mysql-win.rubyforge.org
Source0: http://rubygems.org/downloads/%{rbname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: %{?scl_prefix}ruby
Requires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}ruby
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby-devel
BuildRequires: mysql-devel
Provides: %{?scl_prefix}rubygem(mysql) = %{version}
Provides: %{?scl_prefix}rubygem(mysql2) = %{version}

#%define gemdir /usr/lib/ruby/gems/1.8
#%define gembuilddir %{buildroot}%{gemdir}

%description
This is the MySQL API module for Ruby. It provides the same functions for Ruby
programs that the MySQL C API provides for C programs.
This is a conversion of tmtm's original extension into a proper RubyGems.


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            -V --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%{gem_dir}/gems/mysql-2.8.1/COPYING
%{gem_dir}/gems/mysql-2.8.1/COPYING.ja
%doc %{gem_dir}/gems/mysql-2.8.1/History.txt
%doc %{gem_dir}/gems/mysql-2.8.1/Manifest.txt
%doc %{gem_dir}/gems/mysql-2.8.1/README.txt
%{gem_dir}/gems/mysql-2.8.1/Rakefile
%{gem_dir}/gems/mysql-2.8.1/ext/mysql_api/extconf.rb
%{gem_dir}/gems/mysql-2.8.1/ext/mysql_api/mysql.c
%{gem_dir}/gems/mysql-2.8.1/extra/README.html
%{gem_dir}/gems/mysql-2.8.1/extra/README_ja.html
%{gem_dir}/gems/mysql-2.8.1/extra/tommy.css
%{gem_dir}/gems/mysql-2.8.1/lib/mysql.rb
%{gem_dir}/gems/mysql-2.8.1/tasks/gem.rake
%{gem_dir}/gems/mysql-2.8.1/tasks/native.rake
%{gem_dir}/gems/mysql-2.8.1/tasks/vendor_mysql.rake
%{gem_dir}/gems/mysql-2.8.1/test/test_mysql.rb
%{gem_dir}/gems/mysql-2.8.1/ext/mysql_api/Makefile
%{gem_dir}/gems/mysql-2.8.1/ext/mysql_api/error_const.h
%{gem_dir}/gems/mysql-2.8.1/ext/mysql_api/mkmf.log
%{gem_dir}/gems/mysql-2.8.1/ext/mysql_api/mysql.o
%{gem_dir}/gems/mysql-2.8.1/ext/mysql_api/mysql_api.so
%{gem_dir}/gems/mysql-2.8.1/lib/mysql_api.so


%doc %{gem_dir}/doc/mysql-2.8.1
%{gem_dir}/cache/mysql-2.8.1.gem
%{gem_dir}/specifications/mysql-2.8.1.gemspec

%changelog
* Tue Jun 11 2013 Jordan OMara <jomara@redhat.com> 2.8.1-4
- fixing %{?dist} tag

* Tue May 07 2013 jomara@redhat.com - 2.8.1-3
- SCL

* Tue May 08 2012 jmontleo@redhat.com - 2.8.1-2
- Cleaned up spec file
